Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.gen.key
Class GraphicsKeyWriter

    java.lang.Object
      org.eclipse.amp.amf.gen.key.GraphicsKeyWriter

    public abstract class GraphicsKeyWriter

extends java.lang.Object

Field Summary
`static int` | `AGENT_SIZE`
`static int` | `AGENT_WIDTH`
`static int` | `BORDER`
`static int` | `CONDITION_WIDTH`
`private java.awt.image.BufferedImage` | `fileImage`
`protected java.awt.Graphics2D` | `graphics`
`(package private) int` | `height`
`static int` | `INSET`
`(package private) int` | `labelWidth`
`(package private) int` | `maxWidth`
`(package private) java.lang.String` | `modelName`
`(package private) int` | `singleWidth`
`static int` | `STYLE_WIDTH`
`(package private) int` | `width`

Constructor Summary
`GraphicsKeyWriter(java.lang.String modelName)`

Method Summary
`void` | `addState()`
`void` | `addStyle(java.lang.String name)`
`void` | `createGraphics()`
`abstract void` | `drawAllStyles()`
`void` | `drawStyle(DrawFeature feature, java.lang.Object object, java.lang.String fileName, java.lang.String agentName, java.lang.String styleName, java.lang.String condition)`
`java.awt.Graphics2D` | `getGraphics()`
`void` | `setGraphics(java.awt.Graphics2D graphics)`
`void` | `write()`
`abstract void` | `writeAllStyles()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AGENT_WIDTH

    public static int AGENT_WIDTH

### STYLE_WIDTH

    public static int STYLE_WIDTH

### CONDITION_WIDTH

    public static int CONDITION_WIDTH

### AGENT_SIZE

    public static int AGENT_SIZE

### BORDER

    public static int BORDER

### INSET

    public static int INSET

### labelWidth

    int labelWidth

### maxWidth

    int maxWidth

### width

    int width

### height

    int height

### singleWidth

    int singleWidth

### modelName

    java.lang.String modelName

### graphics

    protected java.awt.Graphics2D graphics

### fileImage

    private java.awt.image.BufferedImage fileImage

Constructor Detail

### GraphicsKeyWriter

    public GraphicsKeyWriter(java.lang.String modelName)

Method Detail

### createGraphics

    public void createGraphics()

### drawAllStyles

    public abstract void drawAllStyles()

### writeAllStyles

    public abstract void writeAllStyles()

### addStyle

    public void addStyle(java.lang.String name)

### addState

    public void addState()

### drawStyle

    public void drawStyle(DrawFeature feature,
                          java.lang.Object object,
                          java.lang.String fileName,
                          java.lang.String agentName,
                          java.lang.String styleName,
                          java.lang.String condition)

### write

    public void write()

### setGraphics

    public void setGraphics(java.awt.Graphics2D graphics)

### getGraphics

    public java.awt.Graphics2D getGraphics()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors